<?
if ($chat=="1"){
// HTML интерфейс
$t=rand(1,999);
$file = @file("data/chat.dat"); 
$total=count($file);
 $anec_file = @file("vict/anecdot.dat");
 $shutnik="Шутник";
 $ac=count($anec_file);
 $act = implode("",file("vict/anegdot.dat"));
$act = unserialize($act);
 if (time()>$act["time"]){

 unset($act["time"]);
 $file12 = fopen ("vict/anegdot.dat", "w+");
fputs($file12,serialize($act));
fclose ($file12);
}
 if (!$act["time"]) {
$act["time"]=time()+300;
$n=rand(0, $ac-1);
$anec_file[$n]=str_replace("\n","",$anec_file[$n]);

$count=file_get_contents("chat/count.dat");
if (!$count) $count=0;
$tex="$date||$anec_file[$n]||$shutnik||0||0||".$count."";
$con=$count+1;
$fr=@fopen("chat/count.dat","w");
fwrite($fr,"$con");
fclose($fr);
$fp=@fopen("data/chat.dat","a+");  
fwrite($fp, "$tex\r\n");
fclose($fp); 
 $file12 = fopen ("vict/anegdot.dat", "w+");
fputs($file12,serialize($act));
fclose ($file12);
}
if (!$start) $start=0;
$stmp.="<a href=\"$PHP_SELF?sid=$sid&chat=add&start=$start\">Написать</a>
<br/><a href=\"$PHP_SELF?sid=$sid&chat=1&start=".($total-5)."\">Вниз</a>";
$stmp.="<br/><span style=\"color:red\"><strong>Ответы</strong></span>:<br/>";
$sk=split("\|",$player["skills"]);
if ($sk[28]<6) msg("Вход в чат возможен с 6 уровня!");
if ($player["chat_ban"]) msg("<br/>Заблокирован чат, еще ".date("i мин s сек",$player["chat_time_ban"]-time())."");
$file = @file("data/chat.dat"); 
if (!$file) {$stmp.="- нет сообщений -";} else {
$total=count($file);
$file=array_reverse($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 6){ $end = $total; }
else {$end = $start + 6; }
for ($i = $start; $i < $end; $i++){
$udata = explode("||",$file[$i]);
if (!$udata[5]) $udata[5]=0;
if ($login==$admin || $login==$admin2){
$stmp.="<a href=\"$PHP_SELF?sid=$sid&adm=duser&logy=$udata[3]\">(X)</a>";
}
$stmp.="$udata[0]::<strong>$udata[2]</strong>[$udata[5]]::<br/>$udata[1]<br/>";
}
if ($start != 0) {$stmp.="<a href=\"$PHP_SELF?sid=$sid&chat=1&start=".($start - 6)."\">Назад</a>";}
if ($total > $start + 6) {$stmp.=" <a href=\"$PHP_SELF?sid=$sid&chat=1&start=".($start + 6)."\">Далее</a>";}
}
if ($start != 0) $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&chat=1&start=0\">Вверх</a>";
$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&chat=1&t=$t&start=$start\">Обновить</a>
<br/><a href=\"$PHP_SELF?sid=$sid&smiles=1\">Смайлы</a><br/>***<br/><a href=\"$PHP_SELF?sid=$sid\">[^]</a>";
if ($login==$admin || $login==$admin2){
$stmp.="<br/>***<br/><a href=\"$PHP_SELF?sid=$sid&chat=clear\">Чистка!</a>";
}

}
if ($chat=='clear') { 
if ($login==$admin || $login==$admin2||$login==$moder||$login==$moder2){
unlink("data/chat.dat");
msg("чат очищен!<br/><a href=\"$PHP_SELF?sid=$sid&chat=1\">Назад</a>");
}else{
msg("Непоследовательные действия запрещены!");
}
}
if ($chat=='add') { 
include "chat/add.php";
}	 
if ($chat=='zap') {
include "chat/zap.php";
}



;


msg($stmp,"Чат");
?>